使用技巧

WordPress应该以透明且可预测的时间表提高对PHP的支持

WordPress应该在一个透明且可预测的时间表上碰撞PHP支持,WordPress应该在一个透明且可预测的时间表上碰撞PHP支持

朱丽叶·瑞德斯·福尔默 发布了提案 使WordPress可以按固定的时间表删除旧的PHP版本支持。 WordPress联合创始人兼项目负责人Matt Mullenweg伸出手来讨论解决方案后,她编写了该提案。 这是他关闭了 火车票 上周试图 不再支持PHP 5.6 并将今年下一个主要WordPress版本的最低版本提高到7.1。

该提案提出了WordPress社区中许多人可能落后的立场。 对于平台将来的PHP支持,这是一条清晰,透明的路径。

福尔默在提案中实质上提出了两个路线图。 第一个路线图决定WordPress将在哪个阶段放弃对特定PHP版本的支持。 该平台将取消对每年12月已有五年以上历史的PHP次要版本的支持。 这将与即将发布的WordPress的任何主要版本相一致。 以下时间表列出了每年支持的最低PHP版本:

  • 2020年12月– PHP 7.1
  • 2021年12月– PHP 7.2
  • 2022年12月– PHP 7.3
  • 2023年12月– PHP 7.4
  • 2024年12月– PHP 8.0

提案的第二部分创建了一个滚动时间表,用于将安全更新反向移植到WordPress。 当前,WordPress从3.7版分支一直发布安全更新。 如果采用,Folmer的建议将仅支持WordPress发行的前四年。

这种变化意味着2020年12月发布WordPress 5.6时,WordPress项目将致力于向后移植安全修复程序,最早可追溯到2016年12月发布的WordPress 4.7。

Folmer还建议将PHP升级通知从站点运行状况项目反向移植到当前支持的WordPress较早版本。 这项措施将在用户跳到较新版本的WordPress之前通知用户PHP版本问题。

将最低限度的PHP支持推向未来以及向后移植安全修复程序的重叠,为用户提供了一个可能长达九年的巨大窗口,使他们可以继续使用当前使用的任何版本的PHP。 九年来,不断变化的技术似乎是网络上的一生,这在某些人的帖子评论中是有争议的。 但是,这是一个行动计划,WordPress社区并没有在PHP支持方面体验到的乐趣。 开发人员无疑会在日期和版本上争论不休,但这仅次于实际的可预测时间表。

欢迎使用固定版本的凹凸计划。 它将所有人(从开发人员到最终用户,再到虚拟主机)都放在同一页面上。 如果我们打算在不重新讨论相同论点的情况下向前迈进,则必须具有这种透明度。

等待查看特定PHP版本的使用情况何时下降到特定百分比以下的系统只会使事情变得混乱。 结果通常是一个漫长的争论,不会动针。 双方选择其统计信息。 每一面都扎根。每一面都有很多优点。 最终,每个人​​都希望拥有同一件事–推动整个项目前进并使用最新的工具。 但是,他们总是不同意我们如何到达那里。 最终,最低的PHP版本受到了挑战,社区为下一轮做准备。 那些想要更快进步的人和那些不想让用户落后的人之间的争执不断。

事实是,在这些论点上没有人是完全正确的。 没有可遵循的路线图。 除了“这之前已经做过”,我们没有其他指导原则。

WordPress需要设定明确的期望。

这不仅是最低PHP版本的问题-许多人都希望为整个项目制定更详细的路线图。 但是,对PHP的最低支持是我们可能需要解决的一个问题领域,Folmer开拓了一条道路。 我们只需要遵循它。

像这样:

喜欢加载中……

资源